Subject: bug#52870: Is displaying <menu-bar> bindings in describe-function useful?

From: Stefan Kangas <[email-masked]>
Date: Wed, 29 Dec 2021 04:40:56 -0800

Severity: wishlist

For example, in Dired, I type `C-h f dired-do-chmod RET' and read:

    It is bound to M, <menu-bar> <operate> <Change Mode...>.

Is the "<menu-bar> ..." part there very useful?  I personally find it
confusing and distracting.  This is true even when I am specifically
developing menus; I'd rather look at the menu definition and the
resulting menu bar.

I would therefore like to suggest either:

a) Displaying nothing at all for such bindings.  The menu entries will
   be shown in the menu itself, and that is enough.

   In this case, we could have an option to revert to the old behavior.

b) Show it separately from other key bindings at the end, maybe
   something like this:

  Probably introduced at or before Emacs version 24.3.
  It can be invoked from the menu: "Operate" -> "Change Mode..."